### Method

# Soup Session preconnect_finish

#### Declaration [src]

    gboolean
    soup_session_preconnect_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete a preconnect async operation started with `soup_session_preconnect_async()`.

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` passed to your callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the preconnect succeeded, or `FALSE` in case of error.